﻿using System;
using System.Windows;
using System.Windows.Controls;

namespace Elca.MvvmHelpers {

    public class ScrollIntoViewBehavior {

        static ScrollIntoViewBehavior() {
            DependencyProperty.RegisterAttached("ScrollIntoView", typeof(bool), typeof(ScrollIntoViewBehavior), new PropertyMetadata(false, OnPropertyChangd));
        }

        private static void OnPropertyChangd(DependencyObject d, DependencyPropertyChangedEventArgs e) {

            DataGrid dg = d as DataGrid;
            if (dg != null) {

                if ((bool)e.NewValue) {

                    dg.SelectionChanged += OnGridSelectionChanged;
                } else {
                    dg.SelectionChanged -= OnGridSelectionChanged;
                }
            }
        }

        private static void OnGridSelectionChanged(object sender, SelectionChangedEventArgs e) {

            DataGrid grid = (DataGrid)sender;
            if (grid.SelectedItem != null) {
                grid.Dispatcher.BeginInvoke(delegate {
                    grid.UpdateLayout();
                    grid.ScrollIntoView(grid.SelectedItem, null);
                });
            }
        }
    }
}
