﻿using System;
using System.Windows.Controls;
using RoomManagement.ViewModels;
using RoomManagement.Web.Models;

namespace RoomManagement.Views {

    public partial class HypothesesRooms : Page, IRefreshable, ICanBeBusy, IWantFocusNotification {

        private readonly HypothesisRoomsViewModel _vm = new HypothesisRoomsViewModel();

        public HypothesesRooms() {

            InitializeComponent();

            DataContext = _vm;
        }

        public bool IsBusy {
            get {
                return _vm.IsBusy;
            }
        }

        public event EventHandler IsBusyChanged {
            add {
                _vm.IsBusyChanged += value;
            }
            remove {
                _vm.IsBusyChanged -= value;
            }
        }

        public void RefreshData() {

            _vm.RefreshData();
        }

        public void HasLostFocus() {
            _vm.HasLostFocus();
        }

        public void HasGotFocus() {
            // not really interested
        }

        private void OnLoadingSitesRow(object sender, DataGridRowEventArgs e) {

            DataGridHelper.SetItemsSource(_dgSites, e.Row, Site.RpisRules);
        }

    }
}

