﻿using System.Windows;
using System.Windows.Controls;

namespace RoomManagement.Views
{
    public partial class SilverMessageBox : ChildWindow
    {
        public SilverMessageBox()
        {
            InitializeComponent();
        }

        public static SilverMessageBox Show( string message, string button1Text = "OK", string details = "", string button2Text = "" )
        {
            SilverMessageBox smb = new SilverMessageBox();
            smb.MainText.Text = message;
            smb.Button1.Content = button1Text;
            if ( !string.IsNullOrWhiteSpace( details ) )
            {
                smb.DetailsTextBox.Text = details;
            }
            else
            {
                smb.DetailsTextBox.Visibility = Visibility.Collapsed;
            }
            if ( !string.IsNullOrWhiteSpace( button2Text ) )
            {
                smb.Button2.Content = button2Text;
            }
            else
            {
                smb.Button2.Visibility = Visibility.Collapsed;
            }
            smb.Show();
            return smb;
        }

        private void Button1_Click( object sender, RoutedEventArgs e )
        {
            this.DialogResult = true;
        }
        private void Button2_Click( object sender, RoutedEventArgs e )
        {
            this.DialogResult = false;
        }
    }
}